Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.foundation
Interface ConfigurableEntity

All Known Subinterfaces:
  Account, BasicBean, BeanieBaby, CoffeeBean, InventoryRecord, Item, JellyBean, UnitConversion

public interface ConfigurableEntity
extends Configurable, BusinessPolicyManager, Entity

The ConfigurableEntity interface provides the interface to a persistent Business Smart Component (BSC) that can be configured at runtime via a set of name-value pairs. The value must be serializable. It also describes an interface by which Entities can be included in a hierachy of successors. The resulting hierarchy is searched upward when getting Properties and BusinessPolicies. This design pattern models the Chain of Responsibility Pattern (Gamma et al).

See Also:
  `ConfigurableEntityImpl`, `BusinessPolicy`

Method Summary
`void` | `setSuccessorAtClassLevel(ConfigurableEntity successor)` This sets the successor at class level.
`void` | `setSuccessorAtInstanceLevel(ConfigurableEntity successor)` This sets the successor at class level.

Methods inherited from interface theory.smart.foundation.Configurable
`addProperty, getProperty, removeProperty`

Methods inherited from interface theory.smart.foundation.BusinessPolicyManager
`addBusinessPolicy, getBusinessPolicy, removeBusinessPolicy`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### setSuccessorAtClassLevel

    public void setSuccessorAtClassLevel(ConfigurableEntity successor)
                                  throws java.rmi.RemoteException

  This sets the successor at class level. For all instances of this ConfigurableEntity such they all shared the same sucessor. Note: Successor at instance level has precedence over successor at class level. This operation is not supported yet.
  Parameters:
    `successor` -
  See Also:
    `setSuccessorAtInstanceLevel(theory.smart.foundation.ConfigurableEntity)`

### setSuccessorAtInstanceLevel

    public void setSuccessorAtInstanceLevel(ConfigurableEntity successor)
                                     throws java.rmi.RemoteException

  This sets the successor at class level. For this particular instance of ConfigurableEntity, it has this successor to pass the chain of responsibility. Note: Successor at instance level has precedence over successor at class level.
  Parameters:
    `successor.` -
  See Also:
    `setSuccessorAtClassLevel(theory.smart.foundation.ConfigurableEntity)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.